@mixin transition($time, $type){
    transition: all $time $type;
}

// Media Screen
/** 
    @description
    0px - 600px [Telefone]
    600px - 900px [Tablet Portrait]
    1200px - 1800px [Notebook, computador]
    1800px++ [Tela enorme]

$breakpoint de escolhas
- phone
- tab-port
- tab-land
- big-desktop


*/

@mixin screen($breakpoint){
    // 600px
    @if $breakpoint == phone {
        @media only screen and (max-width: 37.5em){ @content };
    }

    // 900px
    @if $breakpoint == tab-port {
        @media only screen and (max-width: 56.25em){ @content };
    }

    // 1200px
    @if $breakpoint == tab-land {
        @media only screen and (max-width: 75em) { @content };
    }

    // 1800px
    @if $breakpoint == tab-land {
        @media only screen and (max-width: 112.5em) { @content };
    }
}